Package com.sap.ai.sdk.core.model

# Class AiModelBaseData

java.lang.Object
com.sap.ai.sdk.core.model.AiModelBaseData

public class AiModelBaseData extends Object
AiModelBaseData

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiModelBaseData.Builder`
  Builder helper class.
  `static interface`
  `AiModelBaseData.Builder1`
  Builder helper class.
  `static interface`
  `AiModelBaseData.Builder2`
  Builder helper class.
  `static interface`
  `AiModelBaseData.Builder3`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiModelBaseData()`
  Default constructor for AiModelBaseData.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiModelBaseData`
  `accessType(String accessType)`
  Set the accessType of this `AiModelBaseData` instance and return the same instance.
  `AiModelBaseData`
  `addAllowedScenariosItem(AiModelBaseDataAllowedScenariosInner allowedScenariosItem)`
  Add one allowedScenarios instance to this `AiModelBaseData`.
  `AiModelBaseData`
  `addVersionsItem(AiModelVersion versionsItem)`
  Add one versions instance to this `AiModelBaseData`.
  `AiModelBaseData`
  `allowedScenarios(List<AiModelBaseDataAllowedScenariosInner> allowedScenarios)`
  Set the allowedScenarios of this `AiModelBaseData` instance and return the same instance.
  `static AiModelBaseData.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiModelBaseData` instance with all required arguments.
  `AiModelBaseData`
  `description(String description)`
  Set the description of this `AiModelBaseData` instance and return the same instance.
  `AiModelBaseData`
  `displayName(String displayName)`
  Set the displayName of this `AiModelBaseData` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `AiModelBaseData`
  `executableId(String executableId)`
  Set the executableId of this `AiModelBaseData` instance and return the same instance.
  `String`
  `getAccessType()`
  Access type of the model
  `List<AiModelBaseDataAllowedScenariosInner>`
  `getAllowedScenarios()`
  List of scenarioId:executableId pair where the model supported
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiModelBaseData`.
  `String`
  `getDescription()`
  Description of the model and its capabilities
  `String`
  `getDisplayName()`
  Display name of the model
  `String`
  `getExecutableId()`
  ID of the executable
  `String`
  `getModel()`
  Name of the model
  `String`
  `getProvider()`
  Provider of the model
  `List<AiModelVersion>`
  `getVersions()`
  List of model versions that the model object has
  `int`
  `hashCode()`
  `AiModelBaseData`
  `model(String model)`
  Set the model of this `AiModelBaseData` instance and return the same instance.
  `AiModelBaseData`
  `provider(String provider)`
  Set the provider of this `AiModelBaseData` instance and return the same instance.
  `void`
  `setAccessType(String accessType)`
  Set the accessType of this `AiModelBaseData` instance.
  `void`
  `setAllowedScenarios(List<AiModelBaseDataAllowedScenariosInner> allowedScenarios)`
  Set the allowedScenarios of this `AiModelBaseData` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiModelBaseData` instance.
  `void`
  `setDescription(String description)`
  Set the description of this `AiModelBaseData` instance.
  `void`
  `setDisplayName(String displayName)`
  Set the displayName of this `AiModelBaseData` instance.
  `void`
  `setExecutableId(String executableId)`
  Set the executableId of this `AiModelBaseData` instance.
  `void`
  `setModel(String model)`
  Set the model of this `AiModelBaseData` instance.
  `void`
  `setProvider(String provider)`
  Set the provider of this `AiModelBaseData` instance.
  `void`
  `setVersions(List<AiModelVersion> versions)`
  Set the versions of this `AiModelBaseData` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiModelBaseData` instance including unrecognized properties.
  `String`
  `toString()`
  `AiModelBaseData`
  `versions(List<AiModelVersion> versions)`
  Set the versions of this `AiModelBaseData` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiModelBaseData

    protected AiModelBaseData()
    Default constructor for AiModelBaseData.

- ## Method Details

  - ### model

    @Nonnull public AiModelBaseData model(@Nonnull String model)
    Set the model of this `AiModelBaseData` instance and return the same instance.
    Parameters:
      `model` - Name of the model
    Returns:
      The same instance of this `AiModelBaseData` class

  - ### getModel

    @Nonnull public String getModel()
    Name of the model
    Returns:
      model The model of this `AiModelBaseData` instance.

  - ### setModel

    public void setModel(@Nonnull String model)
    Set the model of this `AiModelBaseData` instance.
    Parameters:
      `model` - Name of the model

  - ### executableId

    @Nonnull public AiModelBaseData executableId(@Nonnull String executableId)
    Set the executableId of this `AiModelBaseData` instance and return the same instance.
    Parameters:
      `executableId` - ID of the executable
    Returns:
      The same instance of this `AiModelBaseData` class

  - ### getExecutableId

    @Nonnull public String getExecutableId()
    ID of the executable
    Returns:
      executableId The executableId of this `AiModelBaseData` instance.

  - ### setExecutableId

    public void setExecutableId(@Nonnull String executableId)
    Set the executableId of this `AiModelBaseData` instance.
    Parameters:
      `executableId` - ID of the executable

  - ### description

    @Nonnull public AiModelBaseData description(@Nonnull String description)
    Set the description of this `AiModelBaseData` instance and return the same instance.
    Parameters:
      `description` - Description of the model and its capabilities
    Returns:
      The same instance of this `AiModelBaseData` class

  - ### getDescription

    @Nonnull public String getDescription()
    Description of the model and its capabilities
    Returns:
      description The description of this `AiModelBaseData` instance.

  - ### setDescription

    public void setDescription(@Nonnull String description)
    Set the description of this `AiModelBaseData` instance.
    Parameters:
      `description` - Description of the model and its capabilities

  - ### versions

    @Nonnull public AiModelBaseData versions(@Nonnull List<AiModelVersion> versions)
    Set the versions of this `AiModelBaseData` instance and return the same instance.
    Parameters:
      `versions` - List of model versions that the model object has
    Returns:
      The same instance of this `AiModelBaseData` class

  - ### addVersionsItem

    @Nonnull public AiModelBaseData addVersionsItem(@Nonnull AiModelVersion versionsItem)
    Add one versions instance to this `AiModelBaseData`.
    Parameters:
      `versionsItem` - The versions that should be added
    Returns:
      The same instance of type `AiModelBaseData`

  - ### getVersions

    @Nonnull public List<AiModelVersion> getVersions()
    List of model versions that the model object has
    Returns:
      versions The versions of this `AiModelBaseData` instance.

  - ### setVersions

    public void setVersions(@Nonnull List<AiModelVersion> versions)
    Set the versions of this `AiModelBaseData` instance.
    Parameters:
      `versions` - List of model versions that the model object has

  - ### displayName

    @Nonnull public AiModelBaseData displayName(@Nullable String displayName)
    Set the displayName of this `AiModelBaseData` instance and return the same instance.
    Parameters:
      `displayName` - Display name of the model
    Returns:
      The same instance of this `AiModelBaseData` class

  - ### getDisplayName

    @Nonnull public String getDisplayName()
    Display name of the model
    Returns:
      displayName The displayName of this `AiModelBaseData` instance.

  - ### setDisplayName

    public void setDisplayName(@Nullable String displayName)
    Set the displayName of this `AiModelBaseData` instance.
    Parameters:
      `displayName` - Display name of the model

  - ### accessType

    @Nonnull public AiModelBaseData accessType(@Nullable String accessType)
    Set the accessType of this `AiModelBaseData` instance and return the same instance.
    Parameters:
      `accessType` - Access type of the model
    Returns:
      The same instance of this `AiModelBaseData` class

  - ### getAccessType

    @Nonnull public String getAccessType()
    Access type of the model
    Returns:
      accessType The accessType of this `AiModelBaseData` instance.

  - ### setAccessType

    public void setAccessType(@Nullable String accessType)
    Set the accessType of this `AiModelBaseData` instance.
    Parameters:
      `accessType` - Access type of the model

  - ### provider

    @Nonnull public AiModelBaseData provider(@Nullable String provider)
    Set the provider of this `AiModelBaseData` instance and return the same instance.
    Parameters:
      `provider` - Provider of the model
    Returns:
      The same instance of this `AiModelBaseData` class

  - ### getProvider

    @Nonnull public String getProvider()
    Provider of the model
    Returns:
      provider The provider of this `AiModelBaseData` instance.

  - ### setProvider

    public void setProvider(@Nullable String provider)
    Set the provider of this `AiModelBaseData` instance.
    Parameters:
      `provider` - Provider of the model

  - ### allowedScenarios

    @Nonnull public AiModelBaseData allowedScenarios(@Nullable List<AiModelBaseDataAllowedScenariosInner> allowedScenarios)
    Set the allowedScenarios of this `AiModelBaseData` instance and return the same instance.
    Parameters:
      `allowedScenarios` - List of scenarioId:executableId pair where the model supported
    Returns:
      The same instance of this `AiModelBaseData` class

  - ### addAllowedScenariosItem

    @Nonnull public AiModelBaseData addAllowedScenariosItem(@Nonnull AiModelBaseDataAllowedScenariosInner allowedScenariosItem)
    Add one allowedScenarios instance to this `AiModelBaseData`.
    Parameters:
      `allowedScenariosItem` - The allowedScenarios that should be added
    Returns:
      The same instance of type `AiModelBaseData`

  - ### getAllowedScenarios

    @Nonnull public List<AiModelBaseDataAllowedScenariosInner> getAllowedScenarios()
    List of scenarioId:executableId pair where the model supported
    Returns:
      allowedScenarios The allowedScenarios of this `AiModelBaseData` instance.

  - ### setAllowedScenarios

    public void setAllowedScenarios(@Nullable List<AiModelBaseDataAllowedScenariosInner> allowedScenarios)
    Set the allowedScenarios of this `AiModelBaseData` instance.
    Parameters:
      `allowedScenarios` - List of scenarioId:executableId pair where the model supported

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiModelBaseData`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiModelBaseData` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiModelBaseData` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiModelBaseData` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiModelBaseData.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiModelBaseData` instance with all required arguments.